﻿<table>
<tr>
    <td><div style="width: 200px;" ></div>Branch ID <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlBranchAdd";
                    sett.GridProperties.KeyFieldName = "BRANCH_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getBranchDataAdd"};
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    sett.GridProperties.ClientSideEvents.BeginCallback = "branchBeginCallback"; //coba
                    
                    sett.GridProperties.ClientSideEvents.RowClick = "branchChanged";
                        //SelectionChanged = "branchChanged";
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtBranchID";
                              l.FieldName = "BRANCH_ID";
                              l.Caption = "Branch ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtBranchName";
                            l.FieldName = "BRANCH_NAME";
                            l.Caption = "Branch Name";
                        }
                        );

                }
                
                
            ).Bind(ViewData["BranchDataAdd"]).GetHtml()



    </td>

    <td></td>

    <td><div style="width: 200px;" ></div> NO REG <span id="mandatoryNoReg" style="color: red;display: none;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtNoReg";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                   
                }
            ).GetHtml()


    </td>
</tr>

<tr>
    <td>USERNAME <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtUserName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 64;
                   
                }
            ).GetHtml()

    </td>

    <td></td>

    <td>PASSWORD <span id="mandatoryPassword" style="color: red;display: normal;">*</span></td>
    <td>:</td>
    <td>
         @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPassword";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 104;
                   
                }
            ).GetHtml()


    </td>
</tr>

<tr>
    <td>PASSWORD EXPIRATION DATE</td>
    <td>:</td>
    <td>
         @Html.DevExpress().DateEdit(                    
                settings =>
                {
                    settings.Name = "txtPasswordExpirationDate";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.DisplayFormatString = "yyyy.MM.dd";
                    settings.Properties.EditFormatString = "yyyy.MM.dd";
                }
            ).GetHtml()

    </td>

    <td></td>

    <td>USER EXPIRATION DATE</td>
    <td>:</td>
    <td>
            @Html.DevExpress().DateEdit(                    
            settings =>
            {
                settings.Name = "txtUserExpirationDate";
                settings.ControlStyle.Wrap = DefaultBoolean.False;
                settings.Width = 200;
                settings.Properties.DisplayFormatString = "yyyy.MM.dd";
                settings.Properties.EditFormatString = "yyyy.MM.dd";
            }
            ).GetHtml()



    </td>
</tr>

<tr>
    <td>ACTIVE DIRECTORY FLAG</td>
    <td>:</td>
    <td>

          @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "ActiveDirectoryFlag";
                                    c.Properties.ClientSideEvents.CheckedChanged = "ActiveDirectoryChanged";

                                }).GetHtml()


    </td>

    <td></td>

    <td>LOCK FLAG</td>
    <td>:</td>
    <td>
        @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "LockFlag";
                                }).GetHtml()

    </td>
</tr>


<tr>
    <td>IS ACTIVE FLAG</td>
    <td>:</td>
    <td>
           @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "IsActiveFlag";
                                }).GetHtml()
        
    </td>

    <td></td>

    <td>NOTIFICATION FLAG</td>
    <td>:</td>
    <td>
           @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "NotificationFlag";
                                }).GetHtml()

    </td>
</tr>

<tr>
    <td>FIRST NAME <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtFirstName";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>

    <td></td>

    <td>LAST NAME</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtLastName";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>FULL NAME</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtFullName";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 80;
                   
                    }
         ).GetHtml()

    </td>

    <td></td>

    <td>TEL NO</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtTelNo";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>MOBILE NO</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtMobileNo";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>

    <td></td>

    <td>CLASS ID</td>
    <td>:</td>
    <td>
             @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlClassAdd";
                    sett.GridProperties.KeyFieldName = "CLASS_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new { Controller = "UserMaintenance", Action = "getClassDataAdd" };
                    sett.GridProperties.ClientSideEvents.BeginCallback = "ClassBeginGridCallback";
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtClassID";
                              l.FieldName = "CLASS_ID";
                              l.Caption = "Class ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtClassName";
                            l.FieldName = "CLASS_NAME";
                            l.Caption = "Class Name";
                        }
                        );
                
                }
            ).Bind(ViewData["ClassDataAdd"]).GetHtml()

    </td>
</tr>

<tr>
    <td>JOB FUNCTION ID</td>
    <td>:</td>
    <td>
       @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlJobFunctionAdd";
                    sett.GridProperties.KeyFieldName = "JOB_FUNCTION_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getJobFunctionDataAdd"};

                    sett.GridProperties.ClientSideEvents.BeginCallback = "JobFunctionBeginGridCallback";//coba
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtJobFunctionID";
                              l.FieldName = "JOB_FUNCTION_ID";
                              l.Caption = "ob Function ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtJobFunctionIDName";
                            l.FieldName = "JOB_FUNCTION_NAME";
                            l.Caption = "Job Function Name";
                        }
                        );

                }
            ).Bind(ViewData["JobFunctionDataAdd"]).GetHtml()

    </td>

    <td></td>

    <td>CC CODE</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtCcOrder";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 20;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>COMPANY ID</td>
    <td>:</td>
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlCompanyAdd";
                    sett.GridProperties.KeyFieldName = "COMPANY_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getCompanyDataAdd"};


                    sett.GridProperties.ClientSideEvents.BeginCallback = "CompanyBeginGridCallback";
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtCompanyID";
                              l.FieldName = "COMPANY_ID";
                              l.Caption = "Company ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtCompanyName";
                            l.FieldName = "COMPANY_NAME";
                            l.Caption = "Company Name";
                        }
                        );
                
                }
            ).Bind(ViewData["CompanyDataAdd"]).GetHtml()

    </td>

    <td></td>

    <td>LOCATION ID</td>
    <td>:</td>
    <td>
        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlLocationAdd";
                    sett.GridProperties.KeyFieldName = "LOCATION_ID";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getLocationDataAdd"};

                    sett.GridProperties.ClientSideEvents.BeginCallback = "LocationBeginGridCallback";
                    
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtLocationID";
                              l.FieldName = "LOCATION_ID";
                              l.Caption = "LOCATION ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtLocationName";
                            l.FieldName = "LOCATION_NAME";
                            l.Caption = "Location Name";
                        }
                        );

                }
            ).Bind(ViewData["LocationDataAdd"]).GetHtml()


    </td>
</tr>

<tr>
    <td>IS PRODUCTION</td>
    <td>:</td>
    <td>
         @Html.DevExpress().CheckBox(
                                    c =>
                                    {
                                        c.Name = "IsProductionFlag";
                                    }).GetHtml()




    </td>

    <td></td>

    <td>MAX LOGIN</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtMaxLogin";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 12;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>QUOTA</td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                        settings =>
                        {
                            settings.Name = "txtQuota";
                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                            settings.Width = 200;
                            settings.Properties.MaxLength = 12;
                   
                        }
             ).GetHtml()

    </td>

    <td></td>

    <td>DEFAULT APP <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
       @* @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtDefaultApp";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 12;
                   
                    }
         ).GetHtml()
        *@

        @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlDefaultAppAdd";
                    sett.GridProperties.KeyFieldName = "SYSTEM_NAME";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new {Controller = "UserMaintenance", Action = "getDefaultAppAdd"};

                    sett.GridProperties.ClientSideEvents.BeginCallback = "DefaultAppBeginGridCallback";
                    
                    
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtSystemName";
                              l.FieldName = "SYSTEM_NAME";
                              l.Caption = "SYSTEM NAME";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                }
            ).Bind(ViewData["DefaultAppDataAdd"]).GetHtml()


    </td>
</tr>

<tr>
    <td>PASSWORD MUST BE CHANGE</td>
    <td>:</td>
    <td>
         @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "PasswordMustBeChangedFlag";
                                }).GetHtml()

    </td>

    <td></td>

    <td>EMAIL <span style="color: red;">*</span></td>
    <td>:</td>
    <td>
        @Html.DevExpress().TextBox(                    
                    settings =>
                    {
                        settings.Name = "txtEmail";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = 200;
                        settings.Properties.MaxLength = 50;
                   
                    }
         ).GetHtml()

    </td>
</tr>

<tr>
    <td>MULTIPLE LOGIN</td>
    <td>:</td>
    <td>
       @Html.DevExpress().CheckBox(
                                    c =>
                                    {
                                        c.Name = "MultipleLoginFlag";
                                    }).GetHtml()


    </td>

    <td></td>

    <td>DELETE FLAG</td>
    <td>:</td>
    <td>
       @Html.DevExpress().CheckBox(
                                    c =>
                                    {
                                        c.Name = "DeleteFlag";
                                    }).GetHtml()
    </td>
</tr>

<tr>
    <td></td>
    <td></td>
    <td>
         
    </td>

    <td></td>

    <td></td>
    <td></td>
    <td></td>
</tr>

<tr>
    <td></td>
    <td></td>
    <td></td>

    <td></td>

    <td></td>
    <td></td>
    <td>
        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnAddSubmit";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "AddSubmit";
                        }
                    ).GetHtml()

    </td>
</tr>
</table>